Subject: bug#23245: Status: 25.0.92; cua-mode inhibits deactivate-region-hook

From: [email-masked] (Thomas Frössman)
Date: Sun, 10 Apr 2016 20:08:31 +0200

quoted from my e-mail in emacs-devel which I was told not to post to:

>> ...
>> Anyway, I think that it's an actual bug with cua-mode or something because the deactivate-mark-hook isn't
>> fired when the region is removed, repeated pressing of C-g doesn't fire it either.
>> 
>> It's also a consistent behavior, when cua-mode is active the deactivate-mark hook is not fired
>> 
>> (by using git blame) I noticed that there was a change in September last year or something which modifies
>> some bits about how cua-mode handles the mark.
>> 
>> Please tell me if I'm wrong or if there is some additional digging I should do to further diagnose this issue.. 
>
>Could you perhaps include in your bug report the details about how it
>worked in previous versions of Emacs?  If it worked correctly in some
>older version, could you please tell in which one, and what was the
>behavior?
>
>Thanks.

I switched from running emacs compiled from the emacs-24 branch to the
emacs-25 branch a few days ago.

I just ran my previously mentioned test.el init file in the emacs-24
compile now and hitting C-g twice after selecting some text deactives
the mark and runs the deactivate-mark-hook (DM is printed in the
messages buffer) which does not happen with my emacs-25 binary.

-- 
Thomas Frössman
http://t.jossystem.se